langcode: en
status: true
dependencies:
  config:
    - field.field.media.document.field_media_document
    - media.type.document
  module:
    - fences
    - token
    - ui_patterns
    - ui_patterns_field_formatters
  theme:
    - ui_suite_bootstrap
id: media.document.default
targetEntityType: media
bundle: document
mode: default
content:
  field_media_document:
    type: ui_patterns_component_per_item
    label: hidden
    settings:
      ui_patterns:
        component_id: 'ui_suite_bootstrap:button'
        variant_id:
          source_id: select
          source:
            value: outline_primary
        props:
          attributes:
            source_id: attributes
            source:
              value: ''
          disabled:
            source_id: checkbox
          label_visually_hidden:
            source_id: checkbox
          url:
            source_id: token
            source:
              value: '/media/[media:mid]/download'
        slots:
          label:
            sources:
              -
                source_id: 'field_property:media:field_media_document:description'
                _weight: '0'
    third_party_settings:
      fences:
        fences_field_tag: none
        fences_field_classes: ''
        fences_field_items_wrapper_tag: none
        fences_field_items_wrapper_classes: ''
        fences_field_item_tag: none
        fences_field_item_classes: ''
        fences_label_tag: none
        fences_label_classes: ''
    weight: 0
    region: content
hidden:
  created: true
  langcode: true
  name: true
  thumbnail: true
  uid: true
